LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XShapeGroup Interface Referencepublished

is implemented by Shapes that contain other Shapes. More...

`import"XShapeGroup.idl";`

Inheritance diagram for XShapeGroup:

## Public Member Functions
void | enterGroup ()
| enters the group which enables the editing function for the parts of a grouped Shape. More...
void | leaveGroup ()
| leaves the group, which disables the editing function for the parts of a grouped Shape. More...
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by Shapes that contain other Shapes.

Deprecated:

## Member Function Documentation

## ◆ enterGroup()

void enterGroup | ( |  | ) |

enters the group which enables the editing function for the parts of a grouped Shape.

Then the parts can be edited instead of the group as a whole.

This affects only the user interface. The behavior is not specified if this instance is not visible on any view. In this case it may or may not work.

## ◆ leaveGroup()

void leaveGroup | ( |  | ) |

leaves the group, which disables the editing function for the parts of a grouped Shape.

Then only the group as a whole can be edited.

This affects only the user interface. The behavior is not specified if this instance is not visible on any view. In this case it may or may not work.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeGroup.idl